# coding: utf-8
zh-TW:
  faker:
    address:
      city_prefix: [新, 竹, 竹, 新, 關, 峨, 寶, 北, 橫, 芎, 湖, 新, 尖, 五, 苗, 苗, 通, 苑, 竹, 頭, 後, 卓, 西, 頭, 公, 銅, 三, 造, 三, 南, 大, 獅, 泰, 彰, 彰, 員, 和, 鹿, 溪, 二, 田, 北, 花, 芬, 大, 永, 伸, 線, 福, 秀, 埔, 埔, 大, 芳, 竹, 社, 二, 田, 埤, 溪, 南, 南, 埔, 草, 竹, 集, 名, 鹿, 中, 魚, 國, 水, 信, 仁, 雲, 斗, 斗, 虎, 西, 土, 北, 莿, 林, 古, 大, 崙, 二, 麥, 臺, 東, 褒, 四, 口, 水, 元, 嘉, 太, 朴, 布, 大, 民, 溪, 新, 六, 東, 義, 鹿, 水, 中, 竹, 梅, 番, 大, 阿, 屏, 屏, 潮, 東, 恆, 萬, 長, 麟, 九, 里, 鹽, 高, 萬, 內, 竹, 新, 枋, 新, 崁, 林, 南, 佳, 琉, 車, 滿, 枋, 霧, 瑪, 泰, 來, 春, 獅, 牡, 三, 宜, 宜, 羅, 蘇, 頭, 礁, 壯, 員, 冬, 五, 三, 大, 南, 花, 花, 鳳, 玉, 新, 吉, 壽, 秀, 光, 豐, 瑞, 萬, 富, 卓, 臺, 臺, 成, 關, 長, 海, 池, 東, 鹿, 延, 卑, 金, 大, 達, 綠, 蘭, 太, 澎, 馬, 湖, 白, 西, 望, 七, 金, 金, 金, 金, 金, 烈, 烏, 連, 南, 北, 莒, 東]
      city_suffix: [竹縣, 北市, 東鎮, 埔鎮, 西鎮, 眉鄉, 山鄉, 埔鄉, 山鄉, 林鄉, 口鄉, 豐鄉, 石鄉, 峰鄉, 栗縣, 栗市, 霄鎮, 裡鎮, 南鎮, 份鎮, 龍鎮, 蘭鎮, 湖鄉, 屋鄉, 館鄉, 鑼鄉, 義鄉, 橋鄉, 灣鄉, 庄鄉, 湖鄉, 潭鄉, 安鄉, 化縣, 化市, 林鎮, 美鎮, 港鎮, 湖鎮, 林鎮, 中鎮, 斗鎮, 壇鄉, 園鄉, 村鄉, 靖鄉, 港鄉, 西鄉, 興鄉, 水鄉, 心鄉, 鹽鄉, 城鄉, 苑鄉, 塘鄉, 頭鄉, 水鄉, 尾鄉, 頭鄉, 州鄉, 投縣, 投市, 里鎮, 屯鎮, 山鎮, 集鎮, 間鄉, 谷鄉, 寮鄉, 池鄉, 姓鄉, 里鄉, 義鄉, 愛鄉, 林縣, 六市, 南鎮, 尾鎮, 螺鎮, 庫鎮, 港鎮, 桐鄉, 內鄉, 坑鄉, 埤鄉, 背鄉, 崙鄉, 寮鄉, 西鄉, 勢鄉, 忠鄉, 湖鄉, 湖鄉, 林鄉, 長鄉, 義縣, 保市, 子市, 袋鎮, 林鎮, 雄鄉, 口鄉, 港鄉, 腳鄉, 石鄉, 竹鄉, 草鄉, 上鄉, 埔鄉, 崎鄉, 山鄉, 路鄉, 埔鄉, 里山鄉, 東縣, 東市, 州鎮, 港鎮, 春鎮, 丹鄉, 治鄉, 洛鄉, 如鄉, 港鄉, 埔鄉, 樹鄉, 巒鄉, 埔鄉, 田鄉, 埤鄉, 寮鄉, 園鄉, 頂鄉, 邊鄉, 州鄉, 冬鄉, 球鄉, 城鄉, 州鄉, 山鄉, 台鄉, 家鄉, 武鄉, 義鄉, 日鄉, 子鄉, 丹鄉, 地門鄉, 蘭縣, 蘭市, 東鎮, 澳鎮, 城鎮, 溪鄉, 圍鄉, 山鄉, 山鄉, 結鄉, 星鄉, 同鄉, 澳鄉, 蓮縣, 蓮市, 林鎮, 里鎮, 城鄉, 安鄉, 豐鄉, 林鄉, 復鄉, 濱鄉, 穗鄉, 榮鄉, 里鄉, 溪鄉, 東縣, 東市, 功鎮, 山鎮, 濱鄉, 端鄉, 上鄉, 河鄉, 野鄉, 平鄉, 南鄉, 峰鄉, 武鄉, 仁鄉, 島鄉, 嶼鄉, 麻里鄉, 湖縣, 公市, 西鄉, 沙鄉, 嶼鄉, 安鄉, 美鄉, 門縣, 城鎮, 湖鎮, 沙鎮, 寧鄉, 嶼鄉, 坵鄉, 江縣, 竿鄉, 竿鄉, 光鄉, 引鄉]
      building_number: ['###', '##', '#']
      street_suffix: [大道, 路, 街, 巷, 弄, 衖]
      postcode: ['#####']
      state: [臺北市, 新北市, 桃園市, 臺中市, 臺南市, 高雄市, 基隆市, 新竹市, 嘉義市, 新竹縣, 竹北市, 苗栗縣, 苗栗市, 彰化縣, 彰化市, 南投縣, 南投市, 雲林縣, 斗六市, 嘉義縣, 太保市, 屏東縣, 屏東市, 宜蘭縣, 宜蘭市, 臺東縣, 臺東市, 澎湖縣, 金門縣, 連江縣]
      state_abbr: [北, 桃, 竹, 苗, 中, 彰, 雲, 嘉, 南, 高, 屏, 東, 花, 宜, 基]
      city:
        - "#{city_prefix}#{city_suffix}"
      street_name:
        - "#{Name.last_name}#{street_suffix}"
      street_address:
        - "#{street_name} #{building_number} 號"
      default_country: [台灣]

    name:
      last_name: [趙, 錢, 孫, 李, 周, 吳, 鄭, 王, 馮, 陳, 褚, 衛, 蔣, 沈, 韓, 楊, 朱, 秦, 尤, 許, 何, 呂, 施, 張, 孔, 曹, 嚴, 華, 金, 魏, 陶, 薑, 戚, 謝, 鄒, 喻, 柏, 水, 竇, 章, 雲, 蘇, 潘, 葛, 奚, 範, 彭, 郎, 魯, 韋, 昌, 馬, 苗, 鳳, 花, 方, 俞, 任, 袁, 柳, 酆, 鮑, 史, 唐, 費, 廉, 岑, 薛, 雷, 賀, 倪, 湯, 滕, 殷, 羅, 畢, 郝, 鄔, 安, 常, 樂, 於, 時, 傅, 皮, 卞, 齊, 康, 伍, 餘, 元, 蔔, 顧, 孟, 平, 黃, 和, 穆, 蕭, 尹, 姚, 邵, 湛, 汪, 祁, 毛, 禹, 狄, 米, 貝, 明, 臧, 計, 伏, 成, 戴, 談, 宋, 茅, 龐, 熊, 紀, 舒, 屈, 項, 祝, 董, 梁, 杜, 阮, 藍, 閔, 席, 季, 麻, 強, 賈, 路, 婁, 危, 江, 童, 顏, 郭, 梅, 盛, 林, 刁, 鍾, 徐, 邱, 駱, 高, 夏, 蔡, 田, 樊, 胡, 淩, 霍, 虞, 萬, 支, 柯, 昝, 管, 盧, 莫, 柯, 房, 裘, 繆, 幹, 解, 應, 宗, 丁, 宣, 賁, 鄧, 鬱, 單, 杭, 洪, 包, 諸, 左, 石, 崔, 吉, 鈕, 龔, 程, 嵇, 邢, 滑, 裴, 陸, 榮, 翁, 荀, 羊, 于, 惠, 甄, 曲, 家, 封, 芮, 羿, 儲, 靳, 汲, 邴, 糜, 松, 井, 段, 富, 巫, 烏, 焦, 巴, 弓, 牧, 隗, 山, 穀, 車, 侯, 宓, 蓬, 全, 郗, 班, 仰, 秋, 仲, 伊, 宮, 甯, 仇, 欒, 暴, 甘, 鈄, 曆, 戎, 祖, 武, 符, 劉, 景, 詹, 束, 龍, 葉, 幸, 司, 韶, 郜, 黎, 薊, 溥, 印, 宿, 白, 懷, 蒲, 邰, 從, 鄂, 索, 鹹, 籍, 賴, 卓, 藺, 屠, 蒙, 池, 喬, 陽, 鬱, 胥, 能, 蒼, 雙, 聞, 莘, 党, 翟, 譚, 貢, 勞, 逄, 姬, 申, 扶, 堵, 冉, 宰, 酈, 雍, 卻, 璩, 桑, 桂, 濮, 牛, 壽, 通, 邊, 扈, 燕, 冀, 浦, 尚, 農, 溫, 別, 莊, 晏, 柴, 瞿, 閻, 充, 慕, 連, 茹, 習, 宦, 艾, 魚, 容, 向, 古, 易, 慎, 戈, 廖, 庾, 終, 暨, 居, 衡, 步, 都, 耿, 滿, 弘, 匡, 國, 文, 寇, 廣, 祿, 闕, 東, 歐, 殳, 沃, 利, 蔚, 越, 夔, 隆, 師, 鞏, 厙, 聶, 晁, 勾, 敖, 融, 冷, 訾, 辛, 闞, 那, 簡, 饒, 空, 曾, 毋, 沙, 乜, 養, 鞠, 須, 豐, 巢, 關, 蒯, 相, 查, 後, 荊, 紅, 遊, 竺, 權, 逮, 盍, 益, 桓, 公, 萬俟, 司馬, 上官, 歐陽, 夏侯, 諸葛, 聞人, 東方, 赫連, 皇甫, 尉遲, 公羊, 澹台, 公冶, 宗政, 濮陽, 淳于, 單於, 太叔, 申屠, 公孫, 仲孫, 軒轅, 令狐, 徐離, 宇文, 長孫, 慕容, 司徒, 司空]
      first_name: [怡君, 欣怡, 雅雯, 心怡, 志豪, 雅婷, 雅惠, 家豪, 雅玲, 靜怡, 志偉, 俊宏, 建宏, 佩君, 怡婷, 淑芬, 靜宜, 俊傑, 怡如, 家銘, 佳玲, 慧君, 怡伶, 雅芳, 宗翰, 志宏, 淑娟, 信宏, 志強, 淑婷, 佩珊, 佳慧, 佳蓉, 佳穎, 淑惠, 智偉, 欣儀, 嘉玲, 雅慧, 惠雯, 玉婷, 惠如, 惠君, 宜芳, 惠婷, 淑華, 志明, 雅芬, 家榮, 俊賢, 俊豪, 慧玲, 嘉宏, 佩芬, 佳樺, 雅琪, 淑萍, 淑君, 婉婷, 佳琪, 韻如, 詩婷, 建良, 芳儀, 宜君, 佩蓉, 志銘, 雅鈴, 建文, 佩玲, 鈺婷, 雅萍, 立偉, 文傑, 慧如, 淑慧, 佳宏, 志遠, 靜儀, 惠玲, 淑玲, 美君, 怡慧, 千慧, 馨儀, 嘉慧, 家瑋, 美慧, 美玲, 建志, 宗憲, 筱婷, 靜雯, 雅君, 彥廷, 怡靜, 玉玲, 郁婷, 俊男]
      name:
        - "#{last_name}#{first_name}"
      name_with_middle:
        - "#{first_name} #{last_name} #{last_name}"

    phone_number:
      formats: ['###-########', '####-########', '###########']
